﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Guitar
{
    public partial class IMelodyEditToolbox : Form
    {
        public int Direction = 0;
        public int Divider = 4;

        public IMelodyEditToolbox()
        {
            InitializeComponent();

            int xsize = PreferredSize.Width;
            int ysize = PreferredSize.Height;
            int x = (Screen.PrimaryScreen.Bounds.Width / 2) - (xsize / 2);
            int y = Screen.PrimaryScreen.Bounds.Height - ysize*2;
            this.SetDesktopBounds(x, y, xsize, ysize);
            
            

        }

        private void btnRotate_Click(object sender, EventArgs e)
        {

            btn64.Image.RotateFlip(RotateFlipType.RotateNoneFlipXY);
            btn32.Image.RotateFlip(RotateFlipType.RotateNoneFlipXY);
            btn16.Image.RotateFlip(RotateFlipType.RotateNoneFlipXY);
            btn8.Image.RotateFlip(RotateFlipType.RotateNoneFlipXY);
            btn4.Image.RotateFlip(RotateFlipType.RotateNoneFlipXY);
            btn2.Image.RotateFlip(RotateFlipType.RotateNoneFlipXY);
            toolBar1.Refresh();

            if (Direction == 0)
            {
                Direction = 1; 
               }else{
                Direction = 0;
            };
        }

        private void btn1_Click(object sender, EventArgs e)
        {
            Divider = 1;
        }

        private void btn2_Click(object sender, EventArgs e)
        {
            Divider = 2;
        }

        private void btn4_Click(object sender, EventArgs e)
        {
            Divider = 4;
        }

        private void btn8_Click(object sender, EventArgs e)
        {
            Divider = 8;
        }

        private void btn16_Click(object sender, EventArgs e)
        {
            Divider = 16;
        }

        private void btn32_Click(object sender, EventArgs e)
        {
            Divider = 32;
        }

        private void btn64_Click(object sender, EventArgs e)
        {
            Divider = 64;
        }

        private void IMelodyEditToolbox_Load(object sender, EventArgs e)
        {
            
            
        }


    }
}
